
var e_slideshow_item_id = '';
var e_slide_order = "order";
var e_effect = "none";
var e_effect_options = {};
var e_effect_speed = 500;

/*** 
    jQuery Slideshow Script
***/

function slideChange() {
	var itemid = "#" + e_slideshow_item_id;
	var $active = $(itemid + ' IMG.active');

	if ( $active.length == 0 ) $active = $(itemid + ' IMG:last');

	// order
	var $next =  $active.next().length ? $active.next()
	        : $(itemid + ' IMG:first');
	// random
	if(e_slide_order === "random") {
		var $sibs  = $active.siblings();
    		var rndNum = Math.floor(Math.random() * $sibs.length );
    		$next  = $( $sibs[ rndNum ] );
	}

	$active.addClass('last-active');

	$next.css({opacity: 0.0})
		.addClass('active')
		.animate({opacity: 1.0}, 1000, function() {
		$active.removeClass('active last-active');
        });

	if(e_effect && e_effect != "none") {
		$( itemid ).show( e_effect, e_effect_options, e_effect_speed);
	}
}

/**
 * @param	slideid	スライド対象のobject id
 * @param	interval	スライド間隔(ミリ秒単位)
 * @param	order		スライド順番  "order"は、DOM記述の上から下へ順に切替, "random"はランダムに切替
 * @param	effect		スライド切替時の効果 (jQuery UIのeffect参照のこと)
					"none", "blind", "bounce", "clip", "drop", "explode", "fold", "highlight",
					"puff", "pulsate", "scale", "shake", "size", "slide" のいずれか
 * @param	effect_speed	effect時間(ミリ秒単位)
 */
function slideshow(slideid, interval, order, effect, effect_speed) {
	e_slideshow_item_id = slideid;
	e_slide_order = order;
	e_effect = "none";
	if(effect) {
		e_effect = effect;
	}
	if(effect_speed) {
		e_effect_speed = effect_speed;
	}
	e_effect_options = {};
	if ( effect === "scale" ) {
		e_effect_options = { percent: 100 };
	} else if ( effect === "size" ) {
		e_effect_options = { to: { width: 200, height: 60 } };
	}

	setInterval( slideChange, interval );
} 

